# file: lk_clean_exit.tcl
# 

# This procedure exits the system one widget at a time to reduce the
# risk of hanging on exit 
#

proc clean_exit_cc {} {

    global item_list

    # withdraw windows one by one, to reduce the chance of TCL hanging
    # on exit
    #
    foreach item [concat $item_list "help"] {
	set w ".$item" 
	if { [winfo exists $w] != 0 } {
	    wm withdraw $w
	}
    }
    
    exit
}

# end of file
#
