# file: lk_get_pnuem.tcl
#
# This procedure returns the pnuemonic abbreviation for the item type
#
proc get_pnuem {type} {
    global PNUEM

    # match on item type
    #
    foreach pnuem $PNUEM {
	if [string match [lindex $pnuem 0] $type] {
	    return [lindex $pnuem 1]
	}
    }
    puts "no match found for $type"
    update
    puts $error_in_get_pnuem
    return -1
}

# end of file
#
