# file: lk_main.tcl
#
# This is the main program for the linkon application builder
#
global LK_HOME
set LK_HOME "$env(LINKON)/util/lk_appbuilder/v1.1"

# source all the tcl source code files
#
source $LK_HOME/lk_globals.tcl
source $LK_HOME/lk_data.tcl
source $LK_HOME/lk_get_pnuem.tcl
source $LK_HOME/lk_canvas_see.tcl
source $LK_HOME/lk_filesel.tcl
source $LK_HOME/lk_boxes.tcl
source $LK_HOME/lk_menu.tcl
source $LK_HOME/lk_display.tcl
source $LK_HOME/lk_display_list.tcl
source $LK_HOME/lk_clean_exit.tcl
source $LK_HOME/lk_exit.tcl
source $LK_HOME/lk_error_window.tcl
source $LK_HOME/lk_mesg_box.tcl
source $LK_HOME/lk_help.tcl
source $LK_HOME/lk_save_all.tcl
source $LK_HOME/lk_print_comment.tcl
source $LK_HOME/lk_print_list.tcl
source $LK_HOME/lk_print.tcl
source $LK_HOME/lk_make_it_list.tcl
source $LK_HOME/lk_get_list.tcl
source $LK_HOME/lk_insert_item.tcl
source $LK_HOME/lk_load_file.tcl
source $LK_HOME/lk_new_app.tcl
source $LK_HOME/lk_re_insert_item.tcl
source $LK_HOME/lk_get_list_num.tcl
source $LK_HOME/lk_refresh_item_named.tcl
source $LK_HOME/lk_refresh_comment.tcl
source $LK_HOME/lk_refresh_item.tcl
source $LK_HOME/lk_view_item.tcl
source $LK_HOME/lk_delete_item.tcl
source $LK_HOME/lk_plot_list.tcl
source $LK_HOME/lk_get_named_it_num.tcl
source $LK_HOME/lk_plot.tcl
source $LK_HOME/lk_progress.tcl

update

# possible load a file if specified by a command line argument
#
if {$filename != ""} {
    open_application_filename
}

# end of file
#
