# file: lk_make_it_list.tcl
#
# This proc creates the list that will be used by display_list to
# create the configuration window for each item
#
proc make_it_list { type name title } {
    
    global item_number

    # if the name already exists, we don't need to recreate the list
    #
    if { [winfo exists ".$name"] != 0} {
	display_list {} $name {}
    } else {
	display_list [get_list $type] $name $title
	scan $name "it_%d" number
	bind ".$name" <FocusIn> "LBviewitnamed $name"
    }
}

# end of file
#
