#!/usr/local/perl/bin/perl
#
# lk_help.pl
#
# help utility for the linkon system
#
$help_file = "$ENV{'LINKON'}/lib/lk_help.dat";

if ($#ARGV < 0) {
    print "USAGE: lk_help <topic> \n";
}
$pattern = join(' ',@ARGV);
$found=0;
if ($pattern =~ /.*-help.*/) {
    print "name: lk_help\n";
    print "synopsis: lk_help <topic>\n";
    print "descr: provides help for a topic about the linkon system\n";
    print "example: lk_help control flow\n";
    print "\narguments: none\n\nman page: none\n";
} else {

    open(PIN,"<$help_file");
    while(<PIN>) {
	if ($found==0) {
	    if ($_ eq "\@ENTRY: $pattern\n") {
		$found=1;
		print "ENTRY: $pattern\n";
	    }
	} elsif ($found == 1) {
	    if ($_ eq "\@EOD\n") {
		exit;
	    } else {
		print;
	    }
	}
    }
}

