# file: lk_get_named_it_num.tcl
#
# This proc finds the number of item named name in the list of items
#
proc get_named_it_num {name} {
    global item_list
    global vars

    if {$name == "" } {
	return -1
    } else {
	set i -1

	# parse through the list of non deleted items for a name match
	#
	foreach item $item_list {
	    incr i
	    set it_name ""
	    catch {set it_name $vars($item,name)}
	    if {$it_name != ""} {
		
		if [string match $name $it_name] {
		    return $i
		}
	    }
	}
    }
    return -1
}

# end of file
#
