# file: lk_refresh_comment.tcl
#
# This procedure refreshes the display of the comment in the minibuffer
#
proc refresh_comment {} {
    global p
    global item_number
    global vars
    global item_list

    # clear comment
    #
    set it_comment ""

    # try to set comment to current item's
    #
    set name [lindex $item_list [expr $item_number-1]]
    catch { set it_comment $vars($name,comment) }

    # refresh comment in display
    #
    $p.minibuffer_f.comment configure -text $it_comment
}


# end of file
#
