# file: lk_view_item.tcl
#
# This proc creates the pop up configuration window for an item
#

proc view_item {num} {
    
    global item_list
    global vars
    global LB_W
    global item_number

    # get the name of the item
    #
    set name [lindex $item_list [ expr $num -1]]
    
    # get the type of the item (will be used for configuration window)
    #
    set type [$LB_W.it_type get [expr $num -1]]

    # refresh the item
    #
    refresh_item $num

    # make the configuration window
    #
    make_it_list $type $name "item of type $type"

    # refresh the display
    #
    LBview
}


# end of file
#
